# ApplicationFramework
TKLCAF
TDF

# TDF_StdMapNodeOfAttributeMap Class Reference

`#include <TDF_StdMapNodeOfAttributeMap.hxx>`

## Public Member Functions

| TDF_StdMapNodeOfAttributeMap (const Handle(TDF_Attribute)&K, const TCollection_MapNodePtr &n)
Handle_TDF_Attribute & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TDF_Attribute | myKey

## Constructor & Destructor Documentation

TDF_StdMapNodeOfAttributeMap::TDF_StdMapNodeOfAttributeMap | ( | const Handle(TDF_Attribute)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_StdMapNodeOfAttributeMap::Handle | ( | Standard_Type |  | ) | const

Handle_TDF_Attribute& TDF_StdMapNodeOfAttributeMap::Key | ( |  | ) | const

## Field Documentation

Handle_TDF_Attribute TDF_StdMapNodeOfAttributeMap::myKey `[private]`

The documentation for this class was generated from the following file:

- TDF_StdMapNodeOfAttributeMap.hxx